org.apache.sysds.parser.dml

## Class DmlParser.InternalFunctionDefExpressionContext

- java.lang.Object
- - org.antlr.v4.runtime.RuleContext
  - - org.antlr.v4.runtime.ParserRuleContext
    - - org.apache.sysds.parser.dml.DmlParser.FunctionStatementContext
      - - org.apache.sysds.parser.dml.DmlParser.InternalFunctionDefExpressionContext

- All Implemented Interfaces:
    org.antlr.v4.runtime.tree.ParseTree, org.antlr.v4.runtime.tree.RuleNode, org.antlr.v4.runtime.tree.SyntaxTree, org.antlr.v4.runtime.tree.Tree
  Enclosing class:
    DmlParser

      public static class DmlParser.InternalFunctionDefExpressionContext
      extends DmlParser.FunctionStatementContext

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `List<DmlParser.StatementContext>` | `body`
    `List<DmlParser.TypedArgAssignContext>` | `inputParams`
    `org.antlr.v4.runtime.Token` | `name`
    `List<DmlParser.TypedArgNoAssignContext>` | `outputParams`
    `DmlParser.StatementContext` | `statement`
    `DmlParser.TypedArgAssignContext` | `typedArgAssign`
    `DmlParser.TypedArgNoAssignContext` | `typedArgNoAssign`

    - ### Fields inherited from class org.apache.sysds.parser.dml.DmlParser.FunctionStatementContext

      `info`

    - ### Fields inherited from class org.antlr.v4.runtime.ParserRuleContext

      `children, exception, start, stop`

    - ### Fields inherited from class org.antlr.v4.runtime.RuleContext

      `EMPTY, invokingState, parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InternalFunctionDefExpressionContext(DmlParser.FunctionStatementContext ctx)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `enterRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)`
    `void` | `exitRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)`
    `org.antlr.v4.runtime.tree.TerminalNode` | `ID()`
    `List<DmlParser.StatementContext>` | `statement()`
    `DmlParser.StatementContext` | `statement(int i)`
    `List<DmlParser.TypedArgAssignContext>` | `typedArgAssign()`
    `DmlParser.TypedArgAssignContext` | `typedArgAssign(int i)`
    `List<DmlParser.TypedArgNoAssignContext>` | `typedArgNoAssign()`
    `DmlParser.TypedArgNoAssignContext` | `typedArgNoAssign(int i)`

    - ### Methods inherited from class org.apache.sysds.parser.dml.DmlParser.FunctionStatementContext

      `copyFrom, getRuleIndex`

    - ### Methods inherited from class org.antlr.v4.runtime.ParserRuleContext

      `addChild, addChild, addChild, addErrorNode, copyFrom, getChild, getChild, getChildCount, getParent, getRuleContext, getRuleContexts, getSourceInterval, getStart, getStop, getToken, getTokens, removeLastChild, toInfoString`

    - ### Methods inherited from class org.antlr.v4.runtime.RuleContext

      `accept, depth, getAltNumber, getPayload, getRuleContext, getText, isEmpty, setAltNumber, toString, toString, toString, toString, toString, toStringTree, toStringTree, toStringTree`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          public org.antlr.v4.runtime.Token name

    - #### typedArgAssign

          public DmlParser.TypedArgAssignContext typedArgAssign

    - #### inputParams

          public List<DmlParser.TypedArgAssignContext> inputParams

    - #### typedArgNoAssign

          public DmlParser.TypedArgNoAssignContext typedArgNoAssign

    - #### outputParams

          public List<DmlParser.TypedArgNoAssignContext> outputParams

    - #### statement

          public DmlParser.StatementContext statement

    - #### body

          public List<DmlParser.StatementContext> body

  - ### Constructor Detail

    - #### InternalFunctionDefExpressionContext

          public InternalFunctionDefExpressionContext(DmlParser.FunctionStatementContext ctx)

  - ### Method Detail

    - #### ID

          public org.antlr.v4.runtime.tree.TerminalNode ID()

    - #### typedArgAssign

          public List<DmlParser.TypedArgAssignContext> typedArgAssign()

    - #### typedArgAssign

          public DmlParser.TypedArgAssignContext typedArgAssign(int i)

    - #### statement

          public List<DmlParser.StatementContext> statement()

    - #### statement

          public DmlParser.StatementContext statement(int i)

    - #### typedArgNoAssign

          public List<DmlParser.TypedArgNoAssignContext> typedArgNoAssign()

    - #### typedArgNoAssign

          public DmlParser.TypedArgNoAssignContext typedArgNoAssign(int i)

    - #### enterRule

          public void enterRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)

      Overrides:
        `enterRule` in class `org.antlr.v4.runtime.ParserRuleContext`

    - #### exitRule

          public void exitRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)

      Overrides:
        `exitRule` in class `org.antlr.v4.runtime.ParserRuleContext`

Copyright © 2020 The Apache Software Foundation. All rights reserved.